Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QAbstractItemView.SelectionBehavior

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QAbstractItemView.SelectionBehavior

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QAbstractItemView

    public static final class QAbstractItemView.SelectionBehavior

extends java.lang.Enum
implements QtEnumerator

See Also:
  Serialized Form

Field Summary
`static QAbstractItemView.SelectionBehavior` | `SelectColumns` Selecting only columns.
`static QAbstractItemView.SelectionBehavior` | `SelectItems` Selecting single items.
`static QAbstractItemView.SelectionBehavior` | `SelectRows` Selecting only rows.

Method Summary
`static QAbstractItemView.SelectionBehavior` | `resolve(int value)` Returns the SelectionBehavior constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QAbstractItemView.SelectionBehavior` | `valueOf(java.lang.String name)`
`static QAbstractItemView.SelectionBehavior[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### SelectItems

    public static final QAbstractItemView.SelectionBehavior SelectItems

  Selecting single items.

### SelectRows

    public static final QAbstractItemView.SelectionBehavior SelectRows

  Selecting only rows.

### SelectColumns

    public static final QAbstractItemView.SelectionBehavior SelectColumns

  Selecting only columns.

Method Detail

### values

    public static QAbstractItemView.SelectionBehavior[] values()

### valueOf

    public static QAbstractItemView.SelectionBehavior valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QAbstractItemView.SelectionBehavior resolve(int value)

  Returns the SelectionBehavior constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD